summaryrefslogtreecommitdiff
path: root/linuxthreads
diff options
context:
space:
mode:
authorRoland McGrath <roland@gnu.org>2004-08-26 21:26:06 +0000
committerRoland McGrath <roland@gnu.org>2004-08-26 21:26:06 +0000
commitc312980a4a3a4b4d8ed535a94a177950dcdd959c (patch)
treef3198d3bf2055a39e4abb5958bc38fbdeb9dc271 /linuxthreads
parenta95a08b4af38992cbcf3d1da97199ef19528fbde (diff)
2004-08-26 Roland McGrath <roland@redhat.com>
* configure.in: New file. If nptl add-on is also selected, barf if explicit and elide ourselves if implicit. * configure: Now generated.
Diffstat (limited to 'linuxthreads')
-rwxr-xr-xlinuxthreads/configure21
-rw-r--r--linuxthreads/configure.in14
2 files changed, 30 insertions, 5 deletions
diff --git a/linuxthreads/configure b/linuxthreads/configure
index 3ad635f48d..2624f9ec5a 100755
--- a/linuxthreads/configure
+++ b/linuxthreads/configure
@@ -1,6 +1,17 @@
-# This is only to keep the GNU C library configure mechanism happy.
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
+# LinuxThreads fragment for GNU C library configure mechanism.
# This is a shell script fragment sourced by the main configure script.
-# We have nothing we need to add here.
-#
-# Perhaps some day we will need a real configuration script for different
-# kernel versions or so.
+
+for other in $add_ons; do
+ test $other = nptl || continue
+ if test $add_ons_automatic = yes; then
+ echo "$as_me:$LINENO: result: $libc_add_on disabled because $other add-on is also in use" >&5
+echo "${ECHO_T}$libc_add_on disabled because $other add-on is also in use" >&6
+ libc_add_on=
+ else
+ { { echo "$as_me:$LINENO: error: cannot use both $libc_add_on and $other add-ons in one build" >&5
+echo "$as_me: error: cannot use both $libc_add_on and $other add-ons in one build" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+done
diff --git a/linuxthreads/configure.in b/linuxthreads/configure.in
new file mode 100644
index 0000000000..3f9904a411
--- /dev/null
+++ b/linuxthreads/configure.in
@@ -0,0 +1,14 @@
+GLIBC_PROVIDES dnl See top-level configure.in.
+
+# LinuxThreads fragment for GNU C library configure mechanism.
+# This is a shell script fragment sourced by the main configure script.
+
+for other in $add_ons; do
+ test $other = nptl || continue
+ if test $add_ons_automatic = yes; then
+ AC_MSG_RESULT($libc_add_on disabled because $other add-on is also in use)
+ libc_add_on=
+ else
+ AC_MSG_ERROR(cannot use both $libc_add_on and $other add-ons in one build)
+ fi
+done